FROM golang:1.25.1-alpine

WORKDIR /app

# Устанавливаем зависимости для компиляции
RUN apk add --no-cache gcc musl-dev

# Копируем go.mod и go.sum
COPY go.mod go.sum ./
RUN go mod download

# Копируем исходный код
COPY . .

# Компилируем БЕЗ CGO (указываем путь к main.go)
RUN CGO_ENABLED=0 GOOS=linux go build -o bin/main ./cmd/main.go

EXPOSE 8081

CMD ["./bin/main"]